{"openapi":"3.1.0","info":{"title":"Amazi API v1","version":"12.0.1"},"servers":[{"url":"/"}],"paths":{"/v1/chat-banners":{"get":{"operationId":"ExternalV1ChatBannersController_get_b9e0f481","tags":["v1/chat-banners"],"parameters":[],"security":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/chatBannersSchema"}}}}}}},"/v1/chat-banners/page-top":{"get":{"operationId":"ExternalV1ChatBannersController_getPageTop_9a81e208","tags":["v1/chat-banners"],"parameters":[],"security":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/chatBannersSchema"}}}}}}},"/v1/plans":{"get":{"operationId":"ExternalV1PlansController_getPlanCatalog_2f7d5951","tags":["v1/plans"],"parameters":[],"security":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billingPlanCatalogSchema"}}}}}}},"/v1/poll":{"get":{"operationId":"ExternalV1PollController_get_9b170cf3","tags":["v1/poll"],"parameters":[],"security":[],"responses":{"200":{"description":"","headers":{"Cache-Control":{"schema":{"type":"string","const":"no-store"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Type___object_1"}}}}}}},"/v1/privacy-policy":{"get":{"operationId":"ExternalV1DocumentsController_getPrivacyPolicy_75d1685e","tags":["v1"],"parameters":[],"security":[],"responses":{"200":{"description":"","headers":{"Cache-Control":{"schema":{"type":"string","const":"no-store"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/legalDocumentSchema"}}}}}}},"/v1/projects/{projectId}/chats":{"get":{"operationId":"ExternalV1ProjectChatsController_list_d6624c2a","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"query","name":"archived","schema":{"type":"string","enum":["true","false"]},"required":false}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatListSchema"}}}}}},"post":{"operationId":"ExternalV1ProjectChatsController_create_9a951903","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatTitleRequestSchema"}}}},"security":[{"userApiTokenBearer":[]}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatSchema"}}}}}}},"/v1/projects/{projectId}/chats/{chatId}":{"get":{"operationId":"ExternalV1ProjectChatsController_get_ec58cdb8","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatSchema"}}}}}},"patch":{"operationId":"ExternalV1ProjectChatsController_rename_4160f84c","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatTitleRequestSchema"}}}},"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatSchema"}}}}}}},"/v1/projects/{projectId}/chats/{chatId}/archive":{"post":{"operationId":"ExternalV1ProjectChatsController_archive_347f4cc6","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatSchema"}}}}}}},"/v1/projects/{projectId}/chats/{chatId}/messages":{"get":{"operationId":"ExternalV1ProjectChatsController_messages_021c80aa","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true},{"in":"query","name":"cursor","schema":{"type":"string","minLength":1},"required":false},{"in":"query","name":"limit","schema":{"type":"integer","minimum":1,"maximum":100},"required":false}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1MessagePageSchema"}}}}}},"post":{"operationId":"ExternalV1ProjectChatsController_send_1ba12164","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true},{"in":"header","name":"idempotency-key","schema":{"type":"string"},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1MessageCreateRequestSchema"}}}},"security":[{"userApiTokenBearer":[]}],"responses":{"202":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1SubmissionSchema"}}}}}}},"/v1/projects/{projectId}/chats/{chatId}/queue":{"get":{"operationId":"ExternalV1ProjectChatsController_queue_61c99272","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1QueueSchema"}}}}}}},"/v1/projects/{projectId}/chats/{chatId}/restore":{"post":{"operationId":"ExternalV1ProjectChatsController_restore_ca8fa109","tags":["v1/projects/:projectId/chats"],"parameters":[{"in":"path","name":"projectId","schema":{"type":"string"},"required":true},{"in":"path","name":"chatId","schema":{"type":"string"},"required":true}],"security":[{"userApiTokenBearer":[]}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/externalV1ChatSchema"}}}}}}},"/v1/terms-of-use":{"get":{"operationId":"ExternalV1DocumentsController_getTermsOfUse_2c9b71dc","tags":["v1"],"parameters":[],"security":[],"responses":{"200":{"description":"","headers":{"Cache-Control":{"schema":{"type":"string","const":"no-store"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/legalDocumentSchema"}}}}}}}},"components":{"securitySchemes":{"userApiTokenBearer":{"type":"http","scheme":"bearer","description":"Personal API token from POST /auth/api-tokens; requires the operation's chat scope."}},"schemas":{"billingPlanCatalogSchema":{"type":"object","properties":{"freePlan":{"type":"object","properties":{"availableFunctions":{"type":"array","items":{"type":"string","enum":["canSelectProjectAgentModel","canAccessBuiltInIntegrations","canAccessProjectDiagram","canAccessProjectDatabase","canDeployWithoutAmaziBadge","canManageProjectCode","canShareProject","canSetCustomProjectGlobalAgentInstructions","canTransferProjectOwnership","canUseAmaziAiGateway","canUseAmaziDesktopAppConnector","canUseCustomProjectDomain","canUseAmaziProjectDomain","canUseGitHubSynchronization","canUsePlanProjectTemplates","canUseOutboundProxy"]}},"descriptionLineOneEn":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOneRu":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOneEs":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOne":{"type":"string"},"descriptionLineTwoEn":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwoRu":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwoEs":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwo":{"type":"string"},"includedSections":{"type":"array","items":{"type":"object","properties":{"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"default":"","type":"string"},"contentMarkdownEn":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownRu":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownEs":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdown":{"default":"","type":"string"}}}},"mainColor":{"type":"string","minLength":1},"maxAppsPerProject":{"default":null,"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":100},{"type":"null"}]},"maxProjects":{"default":null,"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},{"type":"null"}]},"monthlyCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"paidPlanCompletionCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"phoneVerificationCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"registrationCredits":{"type":"integer","minimum":0,"maximum":9007199254740991},"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"type":"string"}},"required":["availableFunctions","descriptionLineOne","descriptionLineTwo","includedSections","mainColor","monthlyCredits","paidPlanCompletionCredits","phoneVerificationCredits","registrationCredits","title"]},"plans":{"type":"array","items":{"type":"object","properties":{"availableFunctions":{"type":"array","items":{"type":"string","enum":["canSelectProjectAgentModel","canAccessBuiltInIntegrations","canAccessProjectDiagram","canAccessProjectDatabase","canDeployWithoutAmaziBadge","canManageProjectCode","canShareProject","canSetCustomProjectGlobalAgentInstructions","canTransferProjectOwnership","canUseAmaziAiGateway","canUseAmaziDesktopAppConnector","canUseCustomProjectDomain","canUseAmaziProjectDomain","canUseGitHubSynchronization","canUsePlanProjectTemplates","canUseOutboundProxy"]}},"creditsDoNotExpire":{"type":"boolean"},"descriptionLineOneEn":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOneRu":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOneEs":{"localizedField":"descriptionLineOne","localizedRequired":false,"type":"string"},"descriptionLineOne":{"type":"string"},"descriptionLineTwoEn":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwoRu":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwoEs":{"localizedField":"descriptionLineTwo","localizedRequired":false,"type":"string"},"descriptionLineTwo":{"type":"string"},"durations":{"type":"array","items":{"type":"object","properties":{"isArchived":{"type":"boolean"},"creditOptions":{"type":"array","items":{"type":"object","properties":{"credits":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]},"id":{"type":"string","minLength":1},"isNegotiatedPrice":{"default":false,"type":"boolean"},"isArchived":{"type":"boolean"},"price":{"anyOf":[{"type":"integer","minimum":0,"maximum":9007199254740991},{"type":"null"}]}},"required":["credits","id","price"]}},"creditAccumulationMonths":{"default":0,"type":"number","minimum":0},"creditsDoNotExpire":{"default":false,"type":"boolean"},"id":{"type":"string","minLength":1},"months":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}},"required":["creditOptions","id","months"]}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"includedSections":{"type":"array","items":{"type":"object","properties":{"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"default":"","type":"string"},"contentMarkdownEn":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownRu":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownEs":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdown":{"default":"","type":"string"}}}},"isActive":{"type":"boolean"},"isPopular":{"type":"boolean"},"mainColor":{"type":"string","minLength":1},"maxAppsPerProject":{"default":null,"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":100},{"type":"null"}]},"maxProjects":{"default":null,"anyOf":[{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},{"type":"null"}]},"order":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"type":"string"}},"required":["availableFunctions","creditsDoNotExpire","descriptionLineOne","descriptionLineTwo","durations","id","includedSections","isActive","isPopular","mainColor","order","title"]}}},"required":["freePlan","plans"]},"chatBannersSchema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"contentMarkdownEn":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownRu":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdownEs":{"localizedField":"contentMarkdown","localizedRequired":true,"type":"string"},"contentMarkdown":{"type":"string"},"iconName":{"type":"string"},"iconColor":{"anyOf":[{"type":"string","pattern":"^#[0-9a-f]{6}$"},{"type":"null"}]},"linkUrl":{"type":"string","minLength":1},"openInNewTab":{"type":"boolean"},"archived":{"type":"boolean"},"banner":{"type":"object","properties":{"backgroundColor":{"type":"string","pattern":"^#[0-9a-f]{6}$"},"textColor":{"type":"string","pattern":"^#[0-9a-f]{6}$"},"weight":{"type":"integer","minimum":-2147483648,"maximum":2147483647}},"required":["backgroundColor","textColor","weight"],"additionalProperties":false}},"required":["id","contentMarkdown","iconName","linkUrl","openInNewTab"],"additionalProperties":false}},"legalDocumentSchema":{"type":"object","properties":{"acceptanceUpdateTitle":{"type":"string"},"contentMarkdownEn":{"localizedField":"contentMarkdown","localizedRequired":false,"type":"string","maxLength":100000},"contentMarkdownRu":{"localizedField":"contentMarkdown","localizedRequired":false,"type":"string","maxLength":100000},"contentMarkdownEs":{"localizedField":"contentMarkdown","localizedRequired":false,"type":"string","maxLength":100000},"contentMarkdown":{"type":"string"}},"required":["acceptanceUpdateTitle","contentMarkdown"],"additionalProperties":false},"Type___object_1":{"type":"object","properties":{"poll":{"anyOf":[{"type":"null"},{"$ref":"#/components/schemas/pollSettingsSchema"}]}},"required":["poll"]},"pollSettingsSchema":{"type":"object","properties":{"completionEpoch":{"type":"integer","minimum":0,"maximum":9007199254740991},"revision":{"type":"integer","minimum":0,"maximum":9007199254740991},"definition":{"anyOf":[{"type":"object","properties":{"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"default":"","type":"string"},"iconName":{"type":"string"},"iconColor":{"anyOf":[{"type":"string","pattern":"^#[0-9a-f]{6}$"},{"type":"null"}]},"banner":{"type":"object","properties":{"backgroundColor":{"type":"string","pattern":"^#[0-9a-f]{6}$"},"textColor":{"type":"string","pattern":"^#[0-9a-f]{6}$"},"weight":{"type":"integer","minimum":-2147483648,"maximum":2147483647}},"required":["backgroundColor","textColor","weight"],"additionalProperties":false},"previewTitleEn":{"localizedField":"previewTitle","localizedRequired":false,"type":"string"},"previewTitleRu":{"localizedField":"previewTitle","localizedRequired":false,"type":"string"},"previewTitleEs":{"localizedField":"previewTitle","localizedRequired":false,"type":"string"},"previewTitle":{"default":"","type":"string"},"previewDescriptionEn":{"localizedField":"previewDescription","localizedRequired":false,"type":"string"},"previewDescriptionRu":{"localizedField":"previewDescription","localizedRequired":false,"type":"string"},"previewDescriptionEs":{"localizedField":"previewDescription","localizedRequired":false,"type":"string"},"previewDescription":{"default":"","type":"string"},"enabled":{"type":"boolean"},"bonusCredits":{"anyOf":[{"type":"integer","minimum":0,"maximum":2147483647},{"type":"null"}]},"startQuestionId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"questions":{"minItems":1,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"titleEn":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleRu":{"localizedField":"title","localizedRequired":true,"type":"string"},"titleEs":{"localizedField":"title","localizedRequired":true,"type":"string"},"title":{"default":"","type":"string"},"type":{"type":"string","enum":["single","multiple"]},"options":{"minItems":1,"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"labelEn":{"localizedField":"label","localizedRequired":true,"type":"string"},"labelRu":{"localizedField":"label","localizedRequired":true,"type":"string"},"labelEs":{"localizedField":"label","localizedRequired":true,"type":"string"},"label":{"default":"","type":"string"},"isCustom":{"type":"boolean"},"nextQuestionId":{"anyOf":[{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"string","const":"end"}]},{"type":"null"}]}},"required":["id","nextQuestionId"],"additionalProperties":false}},"nextQuestionId":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"null"}]}},"required":["id","type","options","nextQuestionId"],"additionalProperties":false}}},"required":["iconName","enabled","bonusCredits","startQuestionId","questions"],"additionalProperties":false},{"type":"null"}]}},"required":["revision","definition"]},"externalV1ChatListSchema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"archivedAt":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isAwaitingUser":{"default":false,"type":"boolean"},"isWorking":{"default":false,"type":"boolean"},"latestAgentPreview":{"type":"string","maxLength":500},"lastMessageAt":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"queuedCount":{"default":0,"type":"integer","minimum":0,"maximum":9007199254740991},"title":{"type":"string","minLength":1,"maxLength":160},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["archivedAt","createdAt","id","latestAgentPreview","lastMessageAt","title","updatedAt"]}}},"required":["items"]},"externalV1ChatListQuerySchema":{"type":"object","properties":{"archived":{"type":"string","enum":["true","false"]}},"additionalProperties":false},"externalV1ChatSchema":{"type":"object","properties":{"archivedAt":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isAwaitingUser":{"default":false,"type":"boolean"},"isWorking":{"default":false,"type":"boolean"},"latestAgentPreview":{"type":"string","maxLength":500},"lastMessageAt":{"anyOf":[{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},{"type":"null"}]},"queuedCount":{"default":0,"type":"integer","minimum":0,"maximum":9007199254740991},"title":{"type":"string","minLength":1,"maxLength":160},"updatedAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["archivedAt","createdAt","id","latestAgentPreview","lastMessageAt","title","updatedAt"]},"externalV1ChatTitleRequestSchema":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":160}},"required":["title"],"additionalProperties":false},"externalV1MessagePageSchema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"role":{"type":"string","enum":["owner","error","user"]},"content":{"type":"string"},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"},"status":{"anyOf":[{"type":"string","enum":["working","success","failed","interrupted_by_user"]},{"type":"null"}]},"taskId":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"null"}]}},"required":["id","role","content","createdAt","status","taskId"]}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","nextCursor"]},"externalV1MessageListQuerySchema":{"type":"object","properties":{"cursor":{"type":"string","minLength":1},"limit":{"type":"integer","minimum":1,"maximum":100}},"additionalProperties":false},"externalV1SubmissionSchema":{"type":"object","properties":{"submissionId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"chatId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"disposition":{"type":"string","enum":["queued","started"]}},"required":["submissionId","chatId","disposition"]},"externalV1MessageCreateRequestSchema":{"type":"object","properties":{"content":{"type":"string","minLength":1,"maxLength":100000},"replyToMessageId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"}},"required":["content"],"additionalProperties":false},"externalV1IdempotencyKeySchema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"externalV1QueueSchema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"content":{"type":"string"},"status":{"type":"string","enum":["dispatching","failed","queued","steering"]},"createdAt":{"type":"string","format":"date-time","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"}},"required":["id","content","status","createdAt"]}}},"required":["items"]}}},"x-operation-count":15}